%define name	msfonts
%define version	1.2.1
%define release	1%{_my_ext}
Vendor:         %{vendor}
Packager:       %{packager}
Distribution:   %{distribution}

Summary:	Collection of minimum High Quality TrueType fonts
Name:		%{name}
Version:	%{version}
Release:	%{release}

License:	Microsoft
Group:		User Interface/X
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/build-root-%{name}
BuildArch:	noarch
Requires:	freetype
Prefix:		/usr/share/fonts
Url:		http://microsoft.com/typography

%description
Collection of high quality TrueType fonts, default in any MS Windows installation. These are also the main webfonts as specified in microsoft.com/typography
The fonts:
Andale Mono, Arial, Arial Black, Comic, Courier New, Georgia, Impact, Lucida Sans, Lucida Console, Microsoft Sans Serif, Symbol, Tahoma, Times New Roman, Trebuchet, Verdana, Webdings, Wingdings
 
See file:/usr/share/doc/msfonts/index.html

%package style
Summary: Beautifull TrueType fonts
Group: User Interface/X
%description style
Collection of high quality TrueType fonts, default in some MS Windows installation.
The fonts:
Palatino Linotype, LilyUPC, Narksim, Gill Sans, Monotype Sorts, Maths, Aharoni

%prep
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{prefix}/msfonts
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/msfonts
mkdir -p $RPM_BUILD_ROOT/%{prefix}/msfonts-style
mv main/* $RPM_BUILD_ROOT/%{prefix}/msfonts
mv style/* $RPM_BUILD_ROOT/%{prefix}/msfonts-style
mv doc/* $RPM_BUILD_ROOT/usr/share/doc/msfonts

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root,0755)
%{prefix}/msfonts
%doc /usr/share/doc/msfonts

%files style
%defattr(-,root,root,0755)
%{prefix}/msfonts-style


%post
{
	ttmkfdir -d %{prefix}/msfonts \
    		-o %{prefix}/msfonts/fonts.scale
	umask 133
	/usr/X11R6/bin/mkfontdir %{prefix}/msfonts
	/usr/sbin/chkfontpath -q -a %{prefix}/msfonts
	[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache
} &> /dev/null || :
echo "See file:/usr/share/doc/msfonts/index.html to get the most from this fonts"

%preun
{
	if [ "$1" = "0" ]; then
		cd %{prefix}/msfonts
		rm -f fonts.dir fonts.scale fonts.cache*
	fi
} &> /dev/null || :

%postun
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r %{prefix}/msfonts
fi
[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache


%post style
{
	ttmkfdir -d %{prefix}/msfonts-style \
    		-o %{prefix}/msfonts-style/fonts.scale
	umask 133
	/usr/X11R6/bin/mkfontdir %{prefix}/msfonts-style
	/usr/sbin/chkfontpath -q -a %{prefix}/msfonts-style
	[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache
} &> /dev/null || :

%preun style
{
	if [ "$1" = "0" ]; then
		cd %{prefix}/msfonts-style
		rm -f fonts.dir fonts.scale fonts.cache*
	fi
} &> /dev/null || :

%postun style
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r %{prefix}/msfonts-style
fi
[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache


%changelog

* Thu Nov 25 2004 Scott Grayban <sgrayban@borgnet.us> 1.2.1
- Build for MDK 10.1

* Thu Dec 14 2002 Avi Alkalay <avi@unix.sh> 1.2.1
- Included screenshots for international text
- Small fixes in the documentation

* Thu Dec 10 2002 Avi Alkalay <avi@unix.sh> 1.2
- Included documentation for public release

* Thu Oct 27 2002 Avi Alkalay <avi@unix.sh> 1.1-5
- Better support for upgrades
- Support for Red Hat 8.0 with Xft

* Thu Apr 21 2002 Avi Alkalay <avi@unix.sh> 1.1
- Added screenshots

* Thu Mar 28 2002 Avi Alkalay <avi@unix.sh> 0.6
- First packaging